Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001574Frama-CKernel > configurepublic2013-11-28 11:582014-08-04 15:44
Reporterjowi24 
Assigned Tovirgile 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionFrama-C Fluorine-20130601 
Target VersionFixed in VersionFrama-C Neon-20140301 
Summary0001574: make version 4.0 is rejected
Description$./configure
configure: ******************
configure: * CONFIGURE MAKE *
configure: ******************
checking for make... make
make version is GNU Make 4.0:
configure: error: unsupported version; GNU Make version 3.81
                 or higher is required.
Additional Informationthe following test in configure is buggy:

test "$MAKE_DISTRIB" != GNU -o "$MAKE_MAJOR" -lt 3 -o "$MAKE_MINOR" -lt 81;
TagsNo tags attached.
Attached Files

- Relationships
has duplicate 0001903closedsignoles Configure fails for GNU Make 4.0 

-  Notes
(0004353)
yakobowski (manager)
2013-11-28 12:56

Thanks for the report. Indeed, the test was too strong, and has been replaced by

if test "$MAKE_DISTRIB" != GNU -o "$MAKE_MAJOR" -lt 3 -o "$MAKE_MAJOR" = 3 -a "$MAKE_MINOR" -lt 81

in the development version.

- Issue History
Date Modified Username Field Change
2013-11-28 11:58 jowi24 New Issue
2013-11-28 11:58 jowi24 Status new => assigned
2013-11-28 11:58 jowi24 Assigned To => virgile
2013-11-28 12:56 yakobowski Note Added: 0004353
2013-11-28 12:56 yakobowski Status assigned => resolved
2013-11-28 12:56 yakobowski Resolution open => fixed
2014-03-13 15:56 signoles Fixed in Version => Frama-C Neon-20140301
2014-03-13 15:57 signoles Status resolved => closed
2014-08-04 15:44 signoles Relationship added has duplicate 0001903


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker